/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OMINFOBOX_H
#define OMINFOBOX_H

#include <QWidget>
#include <QGroupBox>
#include <QVBoxLayout>
#include <QList>
#include <QMap>
#include <QString>
#include <QVector>

#include "ominfopanel.h"

/**
	@author Rico Rommel <rico@bierrommel.de>
*/
class OMInfoBox : public QGroupBox
{
Q_OBJECT
public:
    OMInfoBox(QString name, QWidget *parent = 0);

    ~OMInfoBox();
    void addPanel(QString key, QString value);
    void changePanelValue(QString key, QString value);
    QString name();

protected:
    QMap<QString, OMInfoPanel *> InfoPanelMap;
    QVBoxLayout * MainLayout;
    QString Name;
};

#endif
